<div *ngIf="hero">
  <h2>Details: {{hero.name | uppercase}}</h2>
  <div><span>id: </span>{{hero.id}}</div>
  <div>
    <div class="input-field col s12 l6">
      <input type="text" id="first_name" class="validate" [(ngModel)]="hero.name">
    </div>
  </div>
  <a class="waves-effect waves-light btn blue-grey lighten-1" (click)="goBack()" style="margin-right: 10px;" id="backButton">
    <i class="material-icons left">arrow_back</i>
    go back
  </a>
  <a class="waves-effect waves-light btn blue-grey lighten-1" (click)="save()" style="margin-right: 10px;">
    <i class="material-icons left">save</i>
    save
  </a>
  <a class="waves-effect waves-light btn blue-grey lighten-1" (click)="delete(hero);">
    <i class="material-icons left">delete</i>
    delete
  </a>
  <br>
  <br>
  <br>
</div>